﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using IdeaBlade.EntityModel;
using IdeaBlade.Core;
using IdeaBlade.EntityModel.Security;

namespace Quickie
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private async void UserControl_Loaded(object sender, RoutedEventArgs e)
        {

            // Do not load your data at design time.
            if (!System.ComponentModel.DesignerProperties.GetIsInDesignMode(this))
            {
                //Load your data here and assign the result to the CollectionViewSource.
                System.Windows.Data.CollectionViewSource myCollectionViewSource =
                    (System.Windows.Data.CollectionViewSource)this.Resources["customerViewSource"];

                var mgr = new NorthwindIBEntities();

                Authenticator.Instance.DefaultAuthenticationContext = await Authenticator.Instance.LoginAsync(null); // Passing in null for credentials will pick up the current user
                MessageBox.Show("Current user is: " + Authenticator.Instance.DefaultAuthenticationContext.Principal.Identity.Name);

                var query = mgr.Customers;

                myCollectionViewSource.Source = await query.ExecuteAsync();

            }
        }
    }
}
