﻿Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports IdeaBlade.EntityModel
Imports IdeaBlade.Core
Imports IdeaBlade.EntityModel.Security

Namespace Quickie
  Partial Public Class MainPage
    Inherits UserControl
    Public Sub New()
      InitializeComponent()
    End Sub

    Private Async Sub UserControl_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)

      ' Do not load your data at design time.
      If Not System.ComponentModel.DesignerProperties.GetIsInDesignMode(Me) Then
        'Load your data here and assign the result to the CollectionViewSource.
        Dim myCollectionViewSource As System.Windows.Data.CollectionViewSource = CType(Me.Resources("customerViewSource"), System.Windows.Data.CollectionViewSource)

        Dim mgr = New NorthwindIBEntities()


                Authenticator.Instance.DefaultAuthenticationContext = Await Authenticator.Instance.LoginAsync(Nothing) ' Passing in null for credentials will pick up the current user
        MessageBox.Show("Current user is: " & Authenticator.Instance.DefaultAuthenticationContext.Principal.Identity.Name)

        Dim query = mgr.Customers

        myCollectionViewSource.Source = Await query.ExecuteAsync()
      End If
    End Sub
  End Class
End Namespace
